<div ng-controller="AnioCtrl">
	<div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <li>
                  <a ui-sref="home.dashboard">Mantenimiento</a>
                </li>
              </ul>
            </div>
        </div>
        <div class="card-container">
			<div class="panel panel-success">
				<div class="panel-heading">
					<h3 class="panel-title">Año</h3>
				</div>
				<div class="panel-body">
					<div class="row">
						<div class="col-md-12">
							<div class="pull-left">
								<input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Año">
							</div>
							<div class="pull-right">
								<button class="btn btn-success btn-lg" ng-click="clear()" data-toggle="modal" data-target="#modal_anio">Registrar Año</button>
							</div>
						</div>
						<div class="col-md-12">
						<br>
							<div class="table-responsive">
								<table class="table table-hover">
									<thead>
										<tr>
											<th>Año</th>
											<th class="text-center">Opciones</th>
										</tr>
									</thead>
									<tbody>
										<tr dir-paginate="book in anios |filter: buscar | itemsPerPage: 5" pagination-id="book.id">
											<td>{{book.anio | uppercase}}</td>
											<td width="150px" class="text-center">
												<button class="btn btn-info btn-xs text-center" ng-click="load(book)" data-toggle="modal" data-target="#modal_anio"><i class="fa fa-edit"></i>Editar</button>
												<button class="btn btn-danger btn-xs text-center" ng-click="load(book)" data-toggle="modal" data-target="#modal_anio_delete"><i class="fa fa-trash-o"></i>Eliminar</button>
											</td>
										</tr>
									</tbody>
								</table>
							</div>
							<div class="pull-right">
								<dir-pagination-controls pagination-id="book.id"></dir-pagination-controls>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="modal fade" id="modal_anio">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-body">
							<form>
								<legend class="text-center"><span ng-show="flagCrud">Crear</span><span ng-hide="flagCrud">Editar</span> Año</legend>
							
								<div class="form-group">
									<label for="">Año</label>
									<input type="text" class="form-control" id="anio" ng-model="obj.anio" placeholder="Año">
								</div>

								<div class="text-center">
									<button type="submit" class="btn btn-success btn-lg" ng-click="createEdit()" data-dismiss="modal"><span ng-show="flagCrud">Guardar</span><span ng-hide="flagCrud">Editar</span></button>
									<button type="button" class="btn btn-default btn-lg" data-dismiss="modal">Cancelar</button>
								</div>	
								
							</form>
						</div>
					</div>
				</div>
			</div>

			<div class="modal fade" id="modal_anio_delete">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<div class="text-center">
								<h4 class="modal-title">¿Desea Eliminar Año?</h4>
							</div>					
						</div>
						<div class="modal-body">
							<div class="text-center">
								<h3>{{obj.anio}}</h3>
								<button type="submit" class="btn btn-danger btn-lg" ng-click="delete()" data-dismiss="modal">Eliminar</button>
								<button type="button" class="btn btn-default btn-lg" data-dismiss="modal" ng-click="clear()">Cancelar</button>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>